MSGEXEC(1)

NOM
msgexec – Traitement des traductions d’un catalogue de messages

SYNOPSIS
msgexec [OPTION] COMMANDE [OPTION_COMMANDE]

DESCRIPTION

Application d’une commande à toutes les traductions d’un catalogue. La COMMANDE peut être n’importe quel programme lisant une traduction à partir de l’entrée standard. Elle est invoquée une fois pour chaque traduction. Sa sortie devient la sortie de msgexec dont le code de retour est la valeur maximale des codes de retour de toutes les invocations.

Une commande interne spéciale appelée « 0 » produit la traduction, suivie d’un octet NULL final. La sortie de msgexec 0 est adaptée comme entrée de xargs -0.

  Entrée de commande :

--newline
    ajouter un caractère de nouvelle ligne au bout de la sortie.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

  Emplacement du fichier d'entrée :

-i, --input=FICHIER_ENTRÉE
    fichier PO d'entrée

-D, --directory=RÉPERTOIRE
    ajouter RÉPERTOIRE à la liste pour la recherche de fichiers d'entrée

Si aucun fichier d'entrée n'est indiqué ou si c'est « - », c'est l'entrée standard qui est lue.

  Syntaxe du fichier d'entrée :

-P, --properties-input
    le fichier d'entrée a la syntaxe .properties de Java

--stringtable-input
    le fichier d'entrée a la syntaxe .strings de NeXTstep/GNUstep

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

AUTEUR
Écrit par Bruno Haible.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2001-2026 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msgexec est disponible dans un manuel Texinfo. Si les programmes info et msgexec sont correctement installés, la commande

    info msgexec

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.